#include <iostream>

using namespace std;


void nule(int a[],int n){
    for(int i=0;i<n;i++)
    a[i]=0;
}

void unos(int a[],int n,int b[]){
    for(int i=0;i<n;i++){
        cin>>a[i];
        b[n+a[i]]++;
    }
    
    
}

int main()
{
   int N,K;
   cin>>N>>K;
   int a[N];
   int b[2*N+1];
   int c[N];
   nule(b,2*N+1);
   unos(a,N,b);
   int k=0;
   for(int i=0;i<2*N+1;i++){
       if(b[i]>=K){
       c[k]=i-N;
       k++;
       }
   }
   cout<<k<<endl;
   for(int I=0;I<k;I++)
       cout<<c[I]<<" ";
      
    return 0;
}